epp_ContactTransferRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactTransferRsp class

### org.openrtk.idl.epp02.contact

# Class epp_ContactTransferRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactTransferRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactTransferRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactTransferRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:13 PM EDT

  ## Field Summary
  `String` | `m_action_client_id`
  `String` | `m_action_date`
  `String` | `m_request_client_id`
  `String` | `m_request_date`
  `String` | `m_roid`
  `epp_Response` | `m_rsp`
  `epp_TransferStatusType` | `m_transfer_status`

  ## Constructor Summary
  `epp_ContactTransferRsp()`
  `epp_ContactTransferRsp(epp_Response _m_rsp, String _m_roid, epp_TransferStatusType _m_transfer_status, String _m_request_client_id, String _m_request_date, String _m_action_client_id, String _m_action_date)`

  ## Method Summary
  `String` | `getActionClientId()`
  `String` | `getActionDate()`
  `String` | `getRequestClientId()`
  `String` | `getRequestDate()`
  `String` | `getRoid()`
  `epp_Response` | `getRsp()`
  `epp_TransferStatusType` | `getTransferStatus()`
  `void` | `setActionClientId(String value)`
  `void` | `setActionDate(String value)`
  `void` | `setRequestClientId(String value)`
  `void` | `setRequestDate(String value)`
  `void` | `setRoid(String value)`
  `void` | `setRsp(epp_Response value)`
  `void` | `setTransferStatus(epp_TransferStatusType value)`
  `String` | `toString()`

## Field Details

### m_action_client_id

    public String m_action_client_id

### m_action_date

    public String m_action_date

### m_request_client_id

    public String m_request_client_id

### m_request_date

    public String m_request_date

### m_roid

    public String m_roid

### m_rsp

    public epp_Response m_rsp

### m_transfer_status

    public epp_TransferStatusType m_transfer_status

## Constructor Details

### epp_ContactTransferRsp

    public epp_ContactTransferRsp()

### epp_ContactTransferRsp

    public epp_ContactTransferRsp(epp_Response _m_rsp,
                                  String _m_roid,
                                  epp_TransferStatusType _m_transfer_status,
                                  String _m_request_client_id,
                                  String _m_request_date,
                                  String _m_action_client_id,
                                  String _m_action_date)

## Method Details

### getActionClientId

    public String getActionClientId()

### getActionDate

    public String getActionDate()

### getRequestClientId

    public String getRequestClientId()

### getRequestDate

    public String getRequestDate()

### getRoid

    public String getRoid()

### getRsp

    public epp_Response getRsp()

### getTransferStatus

    public epp_TransferStatusType getTransferStatus()

### setActionClientId

    public void setActionClientId(String value)

### setActionDate

    public void setActionDate(String value)

### setRequestClientId

    public void setRequestClientId(String value)

### setRequestDate

    public void setRequestDate(String value)

### setRoid

    public void setRoid(String value)

### setRsp

    public void setRsp(epp_Response value)

### setTransferStatus

    public void setTransferStatus(epp_TransferStatusType value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS